import { defaultPath } from "../decorators.js";
import { GraphFI } from "../fi.js";
import { _GraphQueryable, graphInvokableFactory } from "../graphqueryable.js";
import { PeopleAdmin } from "./people.js";
import { ServiceAnnouncements } from "./serviceAnnouncements.js";
import { SharePointAdmin } from "./sharepoint.js";
defaultPath("admin");
class _Admin extends _GraphQueryable {
    get people() {
        return PeopleAdmin(this);
    }
    get sharepoint() {
        return SharePointAdmin(this);
    }
    get serviceAnnouncements() {
        return ServiceAnnouncements(this);
    }
}
export const Admin = graphInvokableFactory(_Admin);
Reflect.defineProperty(GraphFI.prototype, "admin", {
    configurable: true,
    enumerable: true,
    get: function () {
        return this.create(Admin, "admin");
    },
});
//# sourceMappingURL=index.js.map