import { GraphCollection } from "../graphqueryable.js";
/**
 * Get the collection of bookingAppointment objects for a bookingBusiness, that occurs in the specified date range.
 *
 * @param this IGraphQueryable instance
 * @param start start time
 * @param end end time
 */
export function calendarView(start, end) {
    const query = GraphCollection(this, "calendarView");
    query.query.set("startDateTime", start);
    query.query.set("endDateTime", end);
    return query;
}
//# sourceMappingURL=funcs.js.map