import { addProp, body } from "@pnp/queryable";
import { graphPost } from "../graphqueryable.js";
import { _List } from "../lists/types.js";
import { ContentTypes, _ContentTypes } from "./types.js";
addProp(_List, "contentTypes", ContentTypes);
// TODO: Replace hard coded URL for graph endpoint
/**
 * Add a copy of a content type from a site to a list.
 *
 * @param contentType The site content type that will be copied to the list. Required.
 */
_ContentTypes.prototype.addCopy = async function (contentType) {
    const query = ContentTypes(this, "addCopy");
    const postBody = { contentType: `https://graph.microsoft.com/v1.0/${contentType.toUrl()}` };
    const data = await graphPost(query, body(postBody));
    return {
        data,
        contentType: this.getById(data.id),
    };
};
//# sourceMappingURL=lists.js.map