import { Invitation as IInvitationType } from "@microsoft/microsoft-graph-types";
import { _GraphCollection } from "../graphqueryable.js";
/**
 * Invitations
 */
export declare class _Invitations extends _GraphCollection<IInvitationType[]> {
    /**
     * Create a new Invitation via invitation manager.
     *
     * @param invitedUserEmailAddress The email address of the user being invited.
     * @param inviteRedirectUrl The URL user should be redirected to once the invitation is redeemed.
     * @param additionalProperties A plain object collection of additional properties you want to set in the invitation
     */
    create(invitedUserEmailAddress: string, inviteRedirectUrl: string, additionalProperties?: Record<string, any>): Promise<IInvitationAddResult>;
}
export interface IInvitations extends _Invitations {
}
export declare const Invitations: import("../graphqueryable.js").IGraphInvokableFactory<IInvitations>;
/**
 * IInvitationAddResult
 */
export interface IInvitationAddResult {
    data: IInvitationType;
}
//# sourceMappingURL=types.d.ts.map