import { _User, User } from "../users/types.js";
import { Messages } from "./messages.js";
import { MailFolders } from "./folders.js";
import { Outlook } from "./categories.js";
import { FocusedInboxOverrides, MailboxSettings } from "./mailbox.js";
import { addProp, body } from "@pnp/queryable";
import { graphPost } from "../graphqueryable.js";
addProp(_User, "messages", Messages);
addProp(_User, "mailboxSettings", MailboxSettings);
addProp(_User, "mailFolders", MailFolders);
addProp(_User, "outlook", Outlook);
addProp(_User, "focusedInboxOverrides", FocusedInboxOverrides, "inferenceClassification/overrides");
_User.prototype.sendMail = function (message, saveToSentItems = true) {
    return graphPost(User(this, "sendMail"), body({ message, saveToSentItems }));
};
/**
 * Translate identifiers of Outlook-related resources between formats.
 *
 */
_User.prototype.translateExchangeIds = function (translateExchangeIds) {
    return graphPost(User(this, "translateExchangeIds"), body(translateExchangeIds));
};
//# sourceMappingURL=users.js.map