import { addProp, body } from "@pnp/queryable";
import { graphPost } from "../graphqueryable.js";
import { _DriveItem, DriveItem } from "../files/types.js";
import { Permissions } from "./types.js";
addProp(_DriveItem, "permissions", Permissions);
/**
 * Method for adding permissions to the drive item.
 * @param permissionsInviteInfo: IPermissionsInviteInfo
 * @returns Microsoft Graph - Permission[]
 */
_DriveItem.prototype.addPermissions = async function addPermissions(permissionsInviteInfo) {
    return graphPost(DriveItem(this, "invite"), body(permissionsInviteInfo));
};
//# sourceMappingURL=drive-item.js.map