import { addProp, body, InjectHeaders } from "@pnp/queryable";
import { _DriveItem } from "../files/types.js";
import { Workbook, WorkbookWithSession } from "./types.js";
import { graphPost, GraphQueryable } from "../graphqueryable.js";
addProp(_DriveItem, "workbook", Workbook);
_DriveItem.prototype.getWorkbookSession = getWorkbookSession;
export async function getWorkbookSession(persistChanges) {
    const workbook = WorkbookWithSession(this);
    const sessionResult = await graphPost(GraphQueryable(workbook, "createSession"), body({
        persistChanges,
    }));
    if (!sessionResult.id) {
        throw new Error("createSession did not respond with a session ID");
    }
    workbook.using(InjectHeaders({ "workbook-session-id": sessionResult.id }));
    return workbook;
}
//# sourceMappingURL=driveitem.js.map